Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225695 - Merge Review: diffstat
Summary: Merge Review: diffstat
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rafał Psota
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:27 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-29 09:06:29 UTC
rafalzaq: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:27:19 UTC
Fedora Merge Review: diffstat

http://cvs.fedora.redhat.com/viewcvs/devel/diffstat/
Initial Owner: twaugh@redhat.com

Comment 1 Rafał Psota 2007-03-04 01:25:34 UTC
Needs work:
* Source 0 is not available
(ftp://invisible-island.net/diffstat/diffstat-1.43.tar.gz)
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* BuildRequires: gzip and bzip2 should not be included (exceptions)
* Missing SMP flags. If it doesn't build with it, please add a comment
* The %makeinstall macro should not be used
* deffattr should be (-,root,root,-) instead of (-,root,root)
* rpmlint output:

Source RPM:
W: diffstat summary-ended-with-dot A utility which provides statistics based on
the output of diff.
W: diffstat invalid-license distributable
W: diffstat macro-in-%changelog configure

rpmlint of diffstat:
W: diffstat summary-ended-with-dot A utility which provides statistics based on
the output of diff.
W: diffstat invalid-license distributable

rpmlint of diffstat-debuginfo:
W: diffstat-debuginfo invalid-license distributable

Is there a text of license somewhere?

Comment 2 Tim Waugh 2007-03-06 11:27:33 UTC
> * Source 0 is not available
(ftp://invisible-island.net/diffstat/diffstat-1.43.tar.gz)

The upstream source is named 'diffstat.tar.gz'.  How should I change Source0?

> W: diffstat-debuginfo invalid-license distributable
> 
> Is there a text of license somewhere?

No, there is not one that I know of.  The web page says "All are copyrighted,
freely distributable works".

All other changes applied.  Tagged and built as 1.43-2.fc7.

Comment 3 Patrice Dumas 2007-03-06 11:32:38 UTC
(In reply to comment #2)

> > W: diffstat-debuginfo invalid-license distributable
> > 
> > Is there a text of license somewhere?
> 
> No, there is not one that I know of.  The web page says "All are copyrighted,
> freely distributable works".

That doesn't look to be OSI-compatible, since it seems not to
be freely modifiable.

Comment 4 Tim Waugh 2007-03-06 12:13:16 UTC
Okay, I've tracked down this from diffstat.c:

/******************************************************************************
 * Copyright 1994-2005,2006 by Thomas E. Dickey                               *
 * All Rights Reserved.                                                       *
 *                                                                            *
 * Permission to use, copy, modify, and distribute this software and its      *
 * documentation for any purpose and without fee is hereby granted, provided  *
 * that the above copyright notice appear in all copies and that both that    *
 * copyright notice and this permission notice appear in supporting           *
 * documentation, and that the name of the above listed copyright holder(s)   *
 * not be used in advertising or publicity pertaining to distribution of the  *
 * software without specific, written prior permission.                       *
 *                                                                            *
 * THE ABOVE LISTED COPYRIGHT HOLDER(S) DISCLAIM ALL WARRANTIES WITH REGARD   *
 * TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND  *
 * FITNESS, IN NO EVENT SHALL THE ABOVE LISTED COPYRIGHT HOLDER(S) BE LIABLE  *
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES          *
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN      *
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR *
 * IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.                *
 ******************************************************************************/


Comment 5 Patrice Dumas 2007-03-06 14:44:43 UTC
That is BSD-like or MIT-like (or even BSD or MIT), I don't remember
exactly, and clearly right.

Comment 6 Rafał Psota 2007-03-06 15:55:34 UTC
(In reply to comment #2)
> The upstream source is named 'diffstat.tar.gz'.  How should I change Source0?

diffstat.tar.gz is only a symlink to diffstat-1.43.tgz. Just change tar.gz to tgz.


I think you should copy the license text to LICENSE (COPYING, etc.) file and
include it as another Source (that file goes to %doc of course).

Comment 7 Tim Waugh 2007-03-06 16:31:54 UTC
Oh yes, so it is.  Tagged and built as 1.43-2.fc7.

Comment 8 Rafał Psota 2007-03-10 15:36:39 UTC
rpmlint is not silent:
W: diffstat invalid-license distributable #should be Distributable

In specfile:
URL: http://invisible-island.net/diffstat
# Note that the upstream tarball is unversioned, just %{name}.tar.gz
Source0: ftp://invisible-island.net/diffstat/%{name}-%{version}.tgz

IMO this comment is no longer needed.

Comment 9 Tim Waugh 2007-03-12 13:18:22 UTC
Thanks.  Tagged and built as 1.43-4.fc7.

Comment 10 Rafał Psota 2007-03-22 10:23:37 UTC
In description you have something like this: "You'll need to also install
diffutils.". I think it should be listed in Requires.

Comment 11 Tim Waugh 2007-03-23 10:25:33 UTC
I've removed that sentence.  I haven't added a 'Requires' tag for diffutils
because there is no dependency there -- it is entirely possible that you might
want to run diffstat on a patch you've received by email without having
diffutils installed, and that works just fine.

Tagged and built as 1.43-5.fc7.

Comment 12 Rafał Psota 2007-03-23 12:22:45 UTC
Everything looks good so this package is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.